﻿using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.Regions;
using PrismMEF1.Infrastructure;
using PrismMEF1.MDModule.Views;
using PrismMEF1.MDModule.ViewModels;

namespace PrismMEF1.MDModule
{
    [ModuleExport(typeof(MDModuleImp))]
    public class MDModuleImp : IModule
    {
        /// <summary>
        /// 레전 매니저 임포트
        /// </summary>
        [Import]
        public IRegionManager regionManager { private get; set; }

        public void Initialize()
        {
            //리전메니저를 임포트해서 불러들인 후에 리전중에 컨텐츠리진에 MDMainView를 붙인다.
            regionManager.RegisterViewWithRegion(RegionNames.ContentRegion, typeof(MDMainView));
        }

    }
}
